### Signal

# GUPnPAV DIDLLiteParser::container-available

#### Declaration

    void
    container_available (
      GUPnPDIDLLiteParser* self,
      GUPnPDIDLLiteContainer* container,
      gpointer user_data
    )

#### Description [src]

The ::container-available signal is emitted each time a container is found in the DIDL-Lite XML being parsed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`container`

  Type: `GUPnPDIDLLiteContainer`

  The now available `GUPnPDIDLLiteContainer`.

  The data is owned by the caller of the function.